<div class="container login-block justify-content-center">
    <div class="card col-md-8 offset-md-2 shadow p-3 bg-body rounded">
        <div class="row">
            <div class="col-md-6 bg-primary">
            </div>
            <div class="col-md-6">
                <form [formGroup]="loginForm" (ngSubmit)="onSubmit()" class="justify-content-center">
                    <div class="row g-3 m-2">
                        <div class="pt-4 text-center">
                            <h1>Connexion</h1>
                        </div>
                        <div class="col-md-3">
                            <label for="login" class="col-form-label">Login</label>
                        </div>
                        <div class="col-md-8">
                            <input type="text" formControlName="login" class="form-control" aria-describedby="login"
                                [ngClass]="{ 'is-invalid': submitted && f['login'].errors }" />
                        </div>
                    </div>
                    <div class="row g-3 m-2">
                        <div class="col-md-3">
                            <label for="login" class="col-form-label">Password</label>
                        </div>
                        <div class="col-md-8">
                            <input type="password" class="form-control" aria-describedby="password"
                                formControlName="password" class="form-control"
                                [ngClass]="{ 'is-invalid': submitted && f['password'].errors }" />
                        </div>
                    </div>
                    <div class="py-4 justify-content-center">
                        <button type="submit" [disabled]='loginForm.invalid' class="btn btn-primary">
                            <span *ngIf="loading" class="spinner-border spinner-border-sm mr-1"></span>
                            Connexion <i class="fa fa-spinner fa-spin fa-fw" *ngIf="loading"></i>
                        </button>
                    </div>
                </form>
            </div>
        </div>
    </div>
</div>